/* Ne pas hésiter à donner ici des renseignements sur le programme qui suit,
à la fois pour vous et pour d’éventuels utilisateurs.
*/

const int led = 13;

int reception;
String commande = "";

void setup()
{
  pinMode(led, OUTPUT);
  Serial.begin(115200);
  Serial.flush();
}

void loop()
{
  while (Serial.available() > 0)
  {
    reception = Serial.read();
    commande += char(reception);
    delay(5);
  }
  if (commande != "")
  {
    traitement(); // Appel de la fonction
  }
}

// Fonctions

void traitement() // Fonction de traitement de la commande
{
  if (commande == "on")
  {
    digitalWrite(led, HIGH);
  }
  else if (commande == "off")
  {
    digitalWrite(led, LOW);
  }
    else
  {
    Serial.print("Commande '" + commande + "' inconnue : ");// Traitement de la commande inconnue.
  }
  commande = "";
  if (digitalRead(led) == HIGH)
  {
    Serial.println("ledOn");
  }
  else
  {
    Serial.println("ledOff");
  }
}






