#!/usr/bin/python
# coding: utf8

import serial
import time

print("Initialisation du port")
portCom = serial.Serial()
portCom.port = "/dev/ttyACM0"
portCom.baudrate = 115200

print("Ouverture du port...")
try:
  portCom.open()
except serial.SerialException:
  print("Un problème s'est produit à l'ouverture du port.\n"
	"Vérifiez que le port utilisé par la carte Arduino est\n"
	"bien '/dev/ttyACM0'. Si ce n'est pas le cas, modifiez\n"
      "le script Python en conséquence.")
  saisie = ""
  while saisie != "q":
    saisie = str(raw_input("Entrer 'q' pour quitter: "))

while portCom.is_open:
  commande = str(raw_input("Saisir une commande ('q' pour quitter): "))
  if commande != "q":
    portCom.write(commande)	
    time.sleep(0.05)
    nbCar = portCom.in_waiting
    retour = portCom.read(nbCar)
    print(retour)
    portCom.reset_input_buffer()
  else:
    portCom.close() 

